.\" Dd	distance to space vertically before a "display"
.\" These are what n/troff use for inter-paragraph distance
.\"-------
.if t .nr Dd .4v
.if n .nr Dd 1v
.\"-------
.\" Sp	space down the inter-paragraph distance
.\"-------
.de Sp
.sp \\n(Ddu
..
.\"-------
.\" Ds	begin a display, indented .5 inches from the surrounding text.
.\"
.\" Note that uses of Ds and De may NOT be nested.
.\"-------
.de Ds
.Sp
.in +0.5i
.nf
..
.\"-------
.\" De	end a display (no trailing vertical spacing)
.\"-------
.de De
.fi
.in
..
.shc \-
.TH safe 1 " safe-2.0.9" 
.\"-------
.SH "NAME"
.\"-------
.I safe
\-\- safely pipe a file back to itself.
.PP
.\"-------
.SH "SYNOPSIS"
.\"-------
.B safe
[\-f | \-\-force] [\-n | \-\-notsafe] [\-V | \-\-verbose] 
.br
[\-v | \-\-version] [\-h | \-\-help] [\-\-] file
.\"-------
.SH "DESCRIPTION"
.\"-------
safe reads stdin to the end, then opens file and writes all the data to
it.  The only use I know for it is to be able to operate on a file in
place, without risk of truncating it.
.\"-------
.SH "OPTIONS"
.B \-f, \-\-force:     
disregard file permissions.
.br
.B \-n, \-\-notsafe:     
will write empty output files
.br
.B \-V, \-\-verbose:     
copy output to stderr as well as file.
.br
.B \-v, \-\-version:     
display version information.
.br
.B \-h, \-\-help:     
display usage message.
.br
.B \-\-:
anything after this, treat as a filename
.SH "EXAMPLES"
.\"-------
Remove carriage returns from all files in the current directory:

find \-type f|xargs \-i sh \-c 'cat {}|tr \-d "\(rser" |safe {}'

Remove the new flags from an mbox mail folder:

#!/bin/bash
.br
sed 's/^Status: O/Status: RO/g' $1 | safe $1
.\"-------
.SH "CAVEATS"
.\"-------
If any command in the pipe fails without breaking the pipe, file will
be truncated in spite of safe's best efforts.
.\"-------

.SH "Return Codes"
.\"-------
.B	0 
\- All OK.
.br
.B	1 
\- Error something went bad.
.br
.B	2 
\- Couldn't remove temp file.
.br
.B	3 
\- Not implemented yet (will be 1 + 2)
.br
.B	4 
\- Command line syntax error.
.br
.B	5 
\- The output file has been trashed.
.br
.B      6
\- Could not make a tempfile.  Nothing harmed, nothing accomplished.


.SH "AUTHORS"
.\"-------
Lawson Whitney
.I School of Hard Knocks, Concord, NC USA
           <lawson_whitney@juno.com>
.br
Greg Olszewski <noop@nwonknu.org>
.br
Steve Youngs <youngs@xemacs.org>


.SH "COPYRIGHT"
.\"-------
Copyright (c) 2000, 2001, Lawson Whitney.
.br
Copyright (c) 2000, 2001, FSF.
